Arch IfcSpreadsheet: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
Line 16: Line 16:
== Description == <!--T:4-->
== Description == <!--T:4-->


<!--T:15-->
This tool creates a spreadsheet to store IFC properties of an object.
This tool creates a spreadsheet to store IFC properties of an object.


== How to use == <!--T:5-->
== How to use == <!--T:5-->


<!--T:16-->
# Select an object.
# Select an object.
# Go to {{MenuCommand|Arch → Utilities → [[Image:Arch_Schedule.svg|16px]] Create IFC spreadsheet}}.
# Go to {{MenuCommand|Arch → Utilities → [[Image:Arch_Schedule.svg|16px]] Create IFC spreadsheet}}.

Revision as of 08:14, 6 April 2019

Arch MakeIfcSpreadsheet

Menu location
Arch → Utilities → Create IFC spreadsheet
Workbenches
Arch
Default shortcut
I P
Introduced in version
-
See also
Arch IFC, Arch IfcExplorer

Description

This tool creates a spreadsheet to store IFC properties of an object.

How to use

  1. Select an object.
  2. Go to Arch → Utilities → Create IFC spreadsheet.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)